Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 623168 - Visage: Update time
Visage: Update time
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: cumin (Show other bugs)
Development
All Linux
low Severity medium
: 1.3
: ---
Assigned To: Justin Ross
Jan Sarenik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-11 10:03 EDT by Jan Sarenik
Modified: 2010-10-20 07:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-20 07:29:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Sarenik 2010-08-11 10:03:01 EDT
The update time does not write what timezone it is in
and does not respect C library settings (/etc/localtime).

It also does not get updated when the updates are received,
so that only the other values and the graphs are updated,
not the time.


Version-Release number of selected component (if applicable):

RHEL5.5 x86_64
cumin-0.1.4195-1.el5

Steps to Reproduce:
1. Administrator -> Inventory -> <machine>
2. Look at "Update Time" in the top part.
Comment 1 Jan Sarenik 2010-08-11 10:03:43 EDT
The time gets updated when I refresh (CTRL+R) the page
in browser.
Comment 2 Jan Sarenik 2010-09-03 05:04:50 EDT
Should this be in 1.3? It can be pretty annoying to someone
expecting the time should change at least when the page
is updated...
Comment 3 Jan Sarenik 2010-09-03 09:25:42 EDT
I am changing the title as update time is not updated anywhere,
though it can be found on almost every Cumin page.
Comment 4 Justin Ross 2010-09-10 12:14:20 EDT
Ernie, I'm going to give part of this to you.  I've got a change in the works to remove the existing update time under the page title.  What I'd like instead is for the top righthand update indicator to say "Updated $when", rather than "Page updated".
Comment 5 Ernie 2010-09-10 15:05:37 EDT
In cumin 4275 the text "Page Updated" was changed to "Updated $when" where $when is the current date and time. The format is always YYYY-MM-DD HH:MM:SS
Comment 6 Jan Sarenik 2010-09-14 05:57:30 EDT
Nice update!

Verified in cumin-0.1.4279-1.el5

Note You need to log in before you can comment on or make changes to this bug.